Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 81255

Summary: usermode doesn't set ruser
Product: [Retired] Red Hat Linux Reporter: Chris Ricker <chris.ricker>
Component: usermodeAssignee: Jindrich Novy <jnovy>
Status: CLOSED DUPLICATE QA Contact: David Lawrence <dkl>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: aleksey, herrold, pknirsch
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-21 18:50:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Chris Ricker 2003-01-07 05:37:10 UTC
usermode doesn't set ruser, preventing configs like:

[kaboom@verdande txts]$ cat /etc/security/console.apps/redhat-config-users 
USER=root
PROGRAM=/usr/share/redhat-config-users/redhat-config-users
SESSION=true
[kaboom@verdande txts]$ 

[kaboom@verdande txts]$ cat /etc/pam.d/redhat-config-users 
#%PAM-1.0
auth       sufficient   /lib/security/pam_rootok.so
auth       sufficient   /lib/security/pam_timestamp.so
auth            sufficient        /lib/security/pam_listfile.so item=ruser 
sense=allow file=/etc/security/listfiles/r-c-users onerr=fail
auth       required     /lib/security/pam_stack.so service=system-auth
session    required     /lib/security/pam_permit.so
session    optional     /lib/security/pam_xauth.so
session    optional     /lib/security/pam_timestamp.so
account    required     /lib/security/pam_permit.so
[kaboom@verdande txts]$ 

[kaboom@verdande txts]$ cat /etc/security/listfiles/r-c-users 
kaboom
[kaboom@verdande txts]$ 

from giving the desired result (letting users listed in r-c-users run program
w/o password, but requiring all unlisted users to enter the root password)

Comment 1 Chris Ricker 2003-04-09 20:13:29 UTC
See also Bug 86188 -- a request for a different implementation of the same
functionality

Comment 2 Jindrich Novy 2004-10-20 08:52:14 UTC
Hi Chris,

I decided to apply patches that Mathew presented in Bug 86188. Thank
you for the report!

cheers,
Jindrich

*** This bug has been marked as a duplicate of 86188 ***

Comment 3 Red Hat Bugzilla 2006-02-21 18:50:59 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.